Plugin Check is "Unable to Detect Plugin Version", but any webpage can detect it via navigator.plugins[i].version

RESOLVED DUPLICATE of bug 573553

Status

Websites
plugins.mozilla.org
RESOLVED DUPLICATE of bug 573553
7 years ago
7 years ago

People

(Reporter: Steffen Wilberg, Unassigned)

Tracking

Details

(URL)

(Reporter)

Description

7 years ago
The Plugin Check displays "Unable to Detect Plugin Version" for these plugins:
Virtual Earth 3D 4.00100226006 plugin for Mozilla
Picasa
Google Earth Plugin
Google Update
Foxit Reader Plugin for Mozilla

However, any webpage can access the version for those by using navigator.plugins[i].version, just like about:plugins does (I saved about:plugins to disk, removed the stringbundle parts from it, opened the file in Firefox, and it displays everything).

What am I missing?
(Reporter)

Comment 1

7 years ago
navigator.plugin[i].version was added by bug 427744 for Gecko 1.9.2a1.

Comment 2

7 years ago
Here below, a list of other plugins that are not detected by plugin check :
Microsoft Office Live
Windows Live photo gallery
Cooliris embedded in a tab
VLC (bug 587791)

Updated

7 years ago
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 573553
You need to log in before you can comment on or make changes to this bug.